/*
* Alabastra Project - C++ Editor writed with QT Library V.4 
* Copyright (C) Igor Maculan - geocronos@gmail.com
			Marco Buoncristiano - marco.buoncristiano@gmail.com

* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.

* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef ALSEARCH_H
#define ALSEARCH_H

#include <QDialog>
#include <QDebug>
#include <QTextCursor>

#include "AlTextEdit.h"

#include "ui_AlSearch.h"
using namespace Ui;

class AlSearch :  public QDialog {
	Q_OBJECT
	private:
		AlSearch_ui ui;
		AlTextEdit *txt;
		void connectSignal();
		QTextCursor selCursor,qCur;
	public:
		AlSearch(QWidget*,AlTextEdit*);
		void setAlTextEdit(AlTextEdit*);
		bool compare(AlTextEdit*);
	public slots:
		void next();
		void prev();
	private slots:
		void replace();
		void replaceAll();
		void setSelectionCursor(int);
	public:
		void search(QString,bool back=false);
};

#endif
