/* 
* Alabastra Project - C++ Editor writed with QT Library V.4 
* Copyright (C) Igor Maculan - geocronos@gmail.com
			Marco Buoncristiano - marco.buoncristiano@gmail.com

* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.

* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef AL_METHOD_H
#define AL_METHOD_H
#include <QObject>
#include <QAction>
#include <QString>

class AlMethod : public QObject{
	Q_OBJECT
	private:
		QString name;
		QString returnName;
		QString className;
		QString objName;
		void common();
	public:
		AlMethod();
		AlMethod(QString);
		bool setName(QString);
		bool setReturnName(QString);
		bool setClassName(QString);
		bool setObjName(QString);
		QString getName();
		QString getReturnName();
		QString getClassName();
		QString getObjName();
		QString getImplementation();
};

class AlActionMethod : public QAction{
	Q_OBJECT
	private:
		AlMethod* method;
/*	private slots:
		void click();*/
	public:
		AlActionMethod(QObject*);
		bool setAlMethod(AlMethod*);
		AlMethod* getAlMethod();
/*	signals:
		void clicked(AlActionMethod*);*/
};

#endif
